SDPA(1)

NAME
SDPA - High-performance software package for SemiDefinite Programs

SYNOPSIS
sdpa DataFile OutputFile [InitialPtFile] [-pt parameters] [-dimacs] [-numThreads numThreads]
sdpa [options] files...
sdpa --version

DESCRIPTION
sdpa - "SDPA (SemiDefinite Programming Algorithm)" is one of the most efficient and stable software packages for solving SDPs based on the primal-dual interior-point method.

SDP (SemiDefinite Program) is used for financial engineering, machine learning, control theory, sensor network problem, quantum chemistry, quantum information, combinatorial optimizaiton, polynomial optimization, and so on.

Further information on SDP and SDPA can be found at
http://sdpa.sourceforge.net/

OPTIONS
---- option type 1 ----
sdpa DataFile OutputFile [InitialPtFile] [-pt parameters] [-dimacs] [-numThreads numThreads]
parameters = 0 default, 1 fast (unstable), 2 slow (stable)
example1-1: sdpa example1.dat example1.result
example1-2: sdpa example1.dat-s example1.result
example1-3: sdpa example1.dat example1.result example1.ini
example1-4: sdpa example1.dat example1.result -pt 2
example1-5: sdpa example1.dat example1.result -dimacs
example1-6: sdpa example1.dat example1.result -numThreads 4
---- option type 2 ----
sdpa [option filename]+
  -dd : data dense :: -ds : data sparse
  -id : init dense :: -is : init sparse
  -o : output :: -p : parameter
  -pt : parameters , 0 default, 1 fast (unstable)
                     2 slow (stable)
example2-1: sdpa -o example1.result -dd example1.dat
example2-2: sdpa -ds example1.dat-s -o example1.result -p param.sdpa
example2-3: sdpa -ds example1.dat-s -o example1.result -pt 2
example2-4: sdpa -ds example1.dat-s -o example1.result -dimacs
example2-5: sdpa -ds example1.dat-s -o example1.result -numThreads 4
---- option type 3 ----
sdpa --version
to print out version and exit.

PARAMETER_FILE
    is decided by the following priority
       1: The file assigned by '-p' option of 'option type 2'.
           For 'option type1', this is skipped.
       2: ./param.sdpa
           For 'option type2', this is skipped.
       3: /usr/share/sdpa/param.sdpa
       4: Default parameter

-dimacs
    printout dimacs information incurring additional computation cost

-numThreads
    number of pthreads for internal computation

AUTHOR
SDPA was written by SDPA Project <sdpa-developers@lists.sourceforge.net>.

This manual page was written by Makoto Yamashita <Makoto.Yamashita@c.titech.ac.jp>.